Bug 1140826 - Please make BOINC package available for el7. Thank you.
Summary: Please make BOINC package available for el7. Thank you.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: boinc-client
Version: epel7
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Milos Jakubicek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-11 18:52 UTC by John J. Egan
Modified: 2015-11-10 16:51 UTC (History)
10 users (show)

Fixed In Version: boinc-client-7.2.42-8.gitdd0d630.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-10 16:51:42 UTC


Attachments (Terms of Use)

Description John J. Egan 2014-09-11 18:52:39 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 John J. Egan 2014-09-11 18:56:46 UTC
Please add BOINC (boinc-client, etc.) to el7

Comment 2 Sergey Serov 2015-01-01 15:34:27 UTC
Good Day!

I have powerful server with CentOS 7 and I want to install Boinc on it. But in EPEL 7 there are no boinc-client. Early when I have CentOS 6.5 on the same server and used EPEL 6 - all were ok, EPEL 6 has boinc-client. I spent a lot of time trying to install from sources but without success.....

I take participant in worldcommunitygrid.org projects - these important themes for all of us, and this program may make World a little bit better....


Yours faithfully,
Sergey Serov

Comment 3 redhat2015 2015-01-05 12:39:49 UTC
Happy new year,

I also would be very interested to get BOINC/GPUgrid into EL7 in order to continue using BOINC on the newer OS version.

Comment 4 Sergey Serov 2015-01-16 14:18:33 UTC
Dear Milos Jakubicek.

I'm ready to help in creation boinc-client in EPEL 7 if You find this useful.


Yours faithfully,
Sergey Serov

Comment 5 Jan van Eldik 2015-04-22 20:21:34 UTC
Hi, we have 100s of servers that could do useful BOINC work while they are 'in transition' between assignments. Now that we are upgrading from CentOS 6 to 7,
a boinc-client RPM in EPEL7 would be much appreciated.

Please let me know if I can help in any way.

Regards, Jan

Comment 6 Kris G 2015-04-27 15:34:34 UTC
If it will help expedite the process of adding this to EPEL7, I can provide an SRPM I've prepared based on the Boinc SRPM from CentOS 6. The only change is an upgrade from 7.2.33 to 7.2.39 (newer versions *require* a newer wxWidgets than is available on CentOS, otherwise they fail to build the boincmgr GUI). I've already confirmed it to build, install, and work correctly on CentOS 7 (with the caveat that you must be in the boinc group (obviously) and symlink /var/lib/boinc/gui_rpc_auth.cfg -> ~/gui_rpc_auth.cfg ).

If it will help, please let me know where I should send the SRPM.

Comment 7 Till Maas 2015-05-07 20:27:16 UTC
Hey Milos, is it ok for you to have someone package boinc in EPEL 7? I can help moving this forward unless you have any objections.

@anyone interested in boinc in EPEL 7: Will you help testing updates and handle bug reports? It would be best if you create a Fedora account for this if you do not have one and tell me your username.

Comment 8 Jarek Polok 2015-07-08 14:03:05 UTC
Apparently current Fedora boinc-client can be rebuilt cleanly on CentOS 7 / RHEL 7  (7.2.42-3.gitdd0d630) ?

Would it be possible to have it for EPEL7 ?

(and is there an active maintainer for this package at all ? I see that some people above offered help .. and do not see a single reply from the orig. maintainer ?)

Comment 9 Fedora Update System 2015-10-05 08:08:45 UTC
boinc-client-7.2.42-6.gitdd0d630.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-80dd683ec4

Comment 10 Fedora Update System 2015-10-07 12:48:40 UTC
boinc-client-7.2.42-6.gitdd0d630.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update boinc-client'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-80dd683ec4

Comment 11 John J. Egan 2015-10-07 16:28:54 UTC
/var/lib/boinc/gui_rpc_auth.cfg not created during install. Therefore, client doesn't start during boot-up; it dies with log entry about file permissions for this non-existent file.

Comment 12 John J. Egan 2015-10-20 18:44:12 UTC
2015-10-20
Selinux (CentOS 7) bombs (group can't unlink groupadd ...) boinc group not created. Client crashes during bootup when enabled: error 193. Also not created is the  'password' file - /var/lib/boinc/gui_rpc_auth.cfg as mentioned previously

Comment 13 John J. Egan 2015-10-20 18:47:37 UTC
boincerr.log:

[eganj@wvideo ~]$ sudo cat /var/log/boincerr.log
SIGSEGV: segmentation violation
Stack trace (10 frames):
/usr/bin/boinc_client[0x4a72c0]
/lib64/libc.so.6(+0x35650)[0x7f777e3c5650]
/lib64/libc.so.6(fputs+0x12)[0x7f777e3fc752]
/usr/bin/boinc_client[0x46bafd]
/usr/bin/boinc_client[0x46c123]
/usr/bin/boinc_client[0x41d1fa]
/usr/bin/boinc_client[0x47c447]
/usr/bin/boinc_client[0x4070f9]
/lib64/libc.so.6(__libc_start_main+0xf5)[0x7f777e3b1af5]
/usr/bin/boinc_client[0x407665]

Exiting...

Comment 14 Fedora Update System 2015-10-26 08:52:38 UTC
boinc-client-7.2.42-8.gitdd0d630.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-0784248148

Comment 15 Fedora Update System 2015-10-26 21:19:43 UTC
boinc-client-7.2.42-8.gitdd0d630.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update boinc-client'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-0784248148

Comment 16 John J. Egan 2015-10-27 23:12:43 UTC
Noticed this update showed up in the repos this morning. I updated/reinstalled ( so appropriate files would be created). I have attached to my project on two of me three CentOS 7 machines and they are now processing packets. The third machine still needs to be configured - I expect success when I set it up.
I like it!
Thank you.

Comment 17 Fedora Update System 2015-11-10 16:51:36 UTC
boinc-client-7.2.42-8.gitdd0d630.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.